import { Job } from '../..';
import { RequestClient } from '../../request/RequestClient';
import { WriteStream } from '../../types';
/**
 * Appends logs to a supplied write stream.
 * This is useful for getting quick feedback on longer running jobs.
 * @param job - the job to fetch logs for
 * @param requestClient - the pre-configured HTTP request client
 * @param startLine - the line at which to start fetching the log
 * @param endLine - the line at which to stop fetching the log
 * @param logFileStream - the write stream to which the log is appended
 * @accessToken - an optional access token for authentication/authorization
 * The access token is not required when fetching logs from the browser.
 */
export declare function saveLog(job: Job, requestClient: RequestClient, startLine: number, endLine: number, logFileStream?: WriteStream, accessToken?: string): Promise<void>;
