import { SasAuthResponse } from '@sasjs/utils/types';
import { RequestClient } from '../request/RequestClient';
/**
 * Exchange the auth code for access / refresh tokens for the given client / secret pair.
 * @param requestClient - the pre-configured HTTP request client.
 * @param clientId - the client ID to authenticate with.
 * @param clientSecret - the client secret to authenticate with.
 * @param authCode - the auth code received from the server.
 */
export declare function getAccessTokenForViya(requestClient: RequestClient, clientId: string, clientSecret: string, authCode: string): Promise<SasAuthResponse>;
