import { SasAuthResponse } from '@sasjs/utils/types';
import { RequestClient } from '../request/RequestClient';
/**
 * Exchanges the refresh token for an access token for the given client.
 * This function can only be used by Node.
 * @param requestClient - the pre-configured HTTP request client
 * @param clientId - the client ID to authenticate with.
 * @param clientSecret - the client secret to authenticate with.
 * @param refreshToken - the refresh token received from the server.
 */
export declare function refreshTokensForViya(requestClient: RequestClient, clientId: string, clientSecret: string, refreshToken: string): Promise<SasAuthResponse>;
