/// <reference types="node" />
import * as https from 'https';
/**
 * A client for interfacing with the SAS9 REST API.
 *
 */
export declare class SAS9ApiClient {
    private serverUrl;
    private jobsPath;
    private requestClient;
    constructor(serverUrl: string, jobsPath: string, httpsAgentOptions?: https.AgentOptions);
    /**
     * Returns an object containing server URL.
     */
    getConfig(): {
        serverUrl: string;
    };
    /**
     * Updates server URL which is not null.
     * @param serverUrl - URL of the server to be set.
     */
    setConfig(serverUrl: string): void;
    /**
     * Executes code on a SAS9 server.
     * @param linesOfCode - an array of code lines to execute.
     * @param userName - the user name to log into the current SAS server.
     * @param password - the password to log into the current SAS server.
     */
    executeScript(linesOfCode: string[], userName: string, password: string): Promise<string>;
}
