import { RequestClient } from '../request/RequestClient';
/**
 * Exchanges the auth code for an access token for the given client.
 * @param requestClient - the pre-configured HTTP request client
 * @param clientId - the client ID to authenticate with.
 * @param authCode - the auth code received from the server.
 */
export declare function getAccessTokenForSasjs(requestClient: RequestClient, clientId: string, authCode: string): Promise<{
    access_token: string;
    refresh_token: string;
}>;
