import { AuthConfig, ServerType } from '@sasjs/utils/types';
import { RequestClient } from '../request/RequestClient';
/**
 * Returns the auth configuration, refreshing the tokens if necessary.
 * This function can only be used by Node, if a server type is SASVIYA.
 * @param requestClient - the pre-configured HTTP request client
 * @param authConfig - an object containing a client ID, secret, access token and refresh token
 * @param serverType - server type for which refreshing the tokens, defaults to SASVIYA
 */
export declare function getTokens(requestClient: RequestClient, authConfig: AuthConfig, serverType?: ServerType): Promise<AuthConfig>;
