import { ServerType } from '@sasjs/utils/types';
export declare const defaultSuccessHeaderKey = "default";
export declare const loginSuccessHeaders: {
    [key: string]: string;
};
/**
 * Provides expected login header based on language settings of the browser.
 * @returns - expected header as a string.
 */
export declare const getExpectedLogInSuccessHeader: () => string;
/**
 * Checks if Login success header is present in the response based on language settings of the browser.
 * @param serverType - server type.
 * @param response - response object.
 * @returns - boolean indicating if Login success header is present.
 */
export declare const isLogInSuccessHeaderPresent: (serverType: ServerType, response: any) => boolean;
