/// <reference types="node" />
import * as https from 'https';
import { ServerType } from '@sasjs/utils/types';
import { BaseJobExecutor } from './JobExecutor';
import { RequestClient } from '../request/RequestClient';
/**
 * Job executor for SAS9 servers for use in Node.js environments.
 * Initiates login with the provided username and password from the config
 * The cookies are stored in the request client and used in subsequent
 * job execution requests.
 */
export declare class Sas9JobExecutor extends BaseJobExecutor {
    private jobsPath;
    private requestClient;
    private sas9RequestClient;
    constructor(serverUrl: string, serverType: ServerType, jobsPath: string, requestClient: RequestClient, httpsAgentOptions?: https.AgentOptions);
    execute(sasJob: string, data: any, config: any): Promise<unknown>;
    protected getRequestParams(config: any): any;
}
