/// <reference types="node" />
import * as https from 'https';
import { RequestClient } from './RequestClient';
/**
 * Specific request client for SAS9 in Node.js environments.
 * Handles redirects and cookie management.
 */
export declare class Sas9RequestClient extends RequestClient {
    constructor(baseUrl: string, httpsAgentOptions?: https.AgentOptions);
    login(username: string, password: string, jobsPath: string): Promise<void>;
    get<T>(url: string, accessToken: string | undefined, contentType?: string, overrideHeaders?: {
        [key: string]: string | number;
    }, debug?: boolean): Promise<{
        result: T;
        etag: string;
        status: number;
    }>;
    post<T>(url: string, data: any, accessToken: string | undefined, contentType?: string, overrideHeaders?: {
        [key: string]: string | number;
    }): Promise<{
        result: T;
        etag: string;
    }>;
}
