import { RequestClient } from '../request/RequestClient';
/**
 * Fetches content of the log file
 * @param {object} requestClient - client object of Request Client.
 * @param {string} accessToken - an access token for an authorized user.
 * @param {string} logUrl - url of the log file.
 * @param {number} logCount- total number of log lines in file.
 * @returns an string containing log lines.
 */
export declare const fetchLogByChunks: (requestClient: RequestClient, accessToken: string, logUrl: string, logCount: number) => Promise<string>;
/**
 * Fetches a section of the log file delineated by start and end lines
 * @param {object} requestClient - client object of Request Client.
 * @param {string} accessToken - an access token for an authorized user.
 * @param {string} logUrl - url of the log file.
 * @param {number} start - the line at which to start fetching the log.
 * @param {number} end - the line at which to stop fetching the log.
 * @returns an string containing log lines.
 */
export declare const fetchLog: (requestClient: RequestClient, accessToken: string, logUrl: string, start: number, end: number) => Promise<string>;
